#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"
//#include "doctest.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
    size_t block_width{};
};

Input input_data(istream& in_steam = cin, bool prompt = true) {
    size_t number_count;
    if (prompt) {
            cerr << "Enter number count: ";
    }
    in_steam >> number_count;

    Input in;
    in.numbers.resize(number_count);

    if (prompt) {
        cerr << "Enter " << number_count << " numbers: ";
    }
    for (size_t i = 0; i < number_count; i++) {
        in_stream >> in.numbers[i];
    }

    if (prompt) {
        cerr << "Enter bin count: ";
    }
    in_stream >> in.bin_count;

    return in;
}


int main() {
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins, in.block_width);

}

